> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metabind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Folder

> Retrieve a specific folder by ID

## Path Parameters

<ParamField path="organizationId" type="string" required>
  Organization ID
</ParamField>

<ParamField path="projectId" type="string" required>
  Project ID
</ParamField>

<ParamField path="id" type="string" required>
  Folder ID
</ParamField>

## Response

Returns the Folder object.

```json theme={null}
{
  "id": "folder123",
  "name": "Marketing Content Searches",
  "parentId": null,
  "type": "content",
  "order": 1.0,
  "createdAt": "2024-03-20T10:00:00Z",
  "updatedAt": "2024-03-20T10:00:00Z"
}
```

## Error Responses

### Folder Not Found

```json theme={null}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "Folder not found"
  }
}
```

## Code Examples

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET "https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders/folder123" \
    -H "Authorization: Bearer YOUR_JWT"
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(
    'https://api.metabind.ai/app/v1/organizations/org123/projects/proj456/folders/folder123',
    {
      headers: {
        'Authorization': 'Bearer YOUR_JWT'
      }
    }
  );

  const folder = await response.json();
  console.log(`Folder: ${folder.name} (${folder.type})`);
  ```
</CodeGroup>
